% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/locate_images.R
\name{locate_images}
\alias{locate_images}
\title{Locate image files}
\usage{
locate_images(spe, image_dir, image_pattern)
}
\arguments{
\item{spe}{Defaults to the output of
\code{fetch_data(type = 'spe')}. This is a
\link[SpatialExperiment:SpatialExperiment]{SpatialExperiment-class}
object with the spot-level Visium data and information required for
visualizing the histology. See \code{\link[=fetch_data]{fetch_data()}} for more details.}

\item{image_dir}{A \code{character(1)} specifying a path to a directory containing
image files with the pattern \code{sampleID_pattern.png}.}

\item{image_pattern}{A \code{character(1)} specifying the pattern for the image
files.}
}
\value{
A named \code{character()} vector with the path to images.
}
\description{
Creates a named \code{character()} vector that can be helpful for locating
image files and used with \code{add_images()}. This function is not necessary if
the image files don't use the \code{spe$sample_id}.
}
\examples{
\dontrun{
locate_images(spe, tempdir(), "testImage")
}
}
\seealso{
Other Functions for adding non-standard images: 
\code{\link{add_images}()}
}
\concept{Functions for adding non-standard images}
